Package org.apache.lucene.internal.hppc

# Class FloatCursor

java.lang.Object
org.apache.lucene.internal.hppc.FloatCursor

public final class FloatCursor extends Object
Forked from HPPC, holding int index and float value.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
The current value's index in the container this cursor belongs to.
`float`
`value`
The current value.

## Constructor Summary

Constructors
Constructor
Description
`FloatCursor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### index

public int index
The current value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

### value

public float value
The current value.

## Constructor Details

### FloatCursor

public FloatCursor()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`